Create a commission

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
POST /tiers/{tierId}/commissions

Creates a commission on a given tier.

application/json

Body

object object

Responses

  • 201 application/json

    Successfully upserted the commission.

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 409 application/json

    Commission already exists.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 500

    Unknown error. See response body for details.

POST /tiers/{tierId}/commissions
curl \
 --request POST 'http://api.example.com/tiers/{tierId}/commissions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string (UUID)","agentId":"string (UUID)","officeName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","endCount":"number (float)","primary":"boolean","amount":"number (float)","percentage":"number (float)","calculationMethod":"string"}'
Request example
{
  "id": "string (UUID)",
  "agentId": "string (UUID)",
  "officeName": "string",
  "prefix": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "suffix": "string",
  "endCode": "string",
  "endCount": "number (float)",
  "primary": "boolean",
  "amount": "number (float)",
  "percentage": "number (float)",
  "calculationMethod": "string"
}
Response examples (201)
{}
Response examples (409)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}